edu.isi.ikcap.workflows.util.logging

## Class EventLogMessage.Log4jFilter

- java.lang.Object
- - org.apache.log4j.spi.Filter
  - - edu.isi.ikcap.workflows.util.logging.EventLogMessage.Log4jFilter

All Implemented Interfaces:
  org.apache.log4j.spi.OptionHandler

Enclosing class:
  EventLogMessage

    private static final class EventLogMessage.Log4jFilter
    extends org.apache.log4j.spi.Filter

In log4j, ignore all messages not specifically directed at this appender.

### Field Summary

### Fields inherited from class org.apache.log4j.spi.Filter

`ACCEPT, DENY, NEUTRAL, next`

### Constructor Summary

Constructors
`private` `Log4jFilter()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `decide(org.apache.log4j.spi.LoggingEvent event)`
`static void` `init()`

### Methods inherited from class org.apache.log4j.spi.Filter

`activateOptions, getNext, setNext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Log4jFilter

    private Log4jFilter()

### Method Detail

#### init

    public static void init()

#### decide

    public int decide(org.apache.log4j.spi.LoggingEvent event)

Specified by:
  `decide` in class `org.apache.log4j.spi.Filter`